git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[all] DevStack jobs broken due to setuptools not available for Python 2


Hi all,

I noticed DevStack jobs fail all over the place [1] due to:
UnsupportedPythonVersion: Package 'setuptools' requires a different
Python: 2.7.17 not in '>=3.5'

Bug reported in [2].

Notice USE_PYTHON3=True does not help as stack.sh is hardcoded to
versionless Python.

[1] https://zuul.opendev.org/t/openstack/builds?result=RETRY_LIMIT&result=FAILURE
[2] https://bugs.launchpad.net/devstack/+bug/1859350

-yoctozepto